## org.jfree.report.flow.raw
Class RawReportTarget

    java.lang.Object
      org.jfree.report.flow.raw.RawReportTarget

All Implemented Interfaces:
  ReportTarget

    public class RawReportTarget

extends java.lang.Object
implements ReportTarget

The Raw report processor defines the base for all non-layouting output methods. As no layouting is involved, this output method is lightning fast.

Author:
  Thomas Morgner

Constructor Summary
`RawReportTarget(ReportJob job)`

Method Summary
`void` `commit()`
`void` `endElement(org.jfree.layouting.util.AttributeMap attrs)`
`void` `endReport(ReportStructureRoot report)`
`java.lang.String` `getExportDescriptor()`
`org.jfree.layouting.namespace.NamespaceDefinition` `getNamespaceByUri(java.lang.String uri)`
`ReportJob` `getReportJob()`
`void` `processContent(DataFlags value)`
`void` `processText(java.lang.String text)`
`void` `startElement(org.jfree.layouting.util.AttributeMap attrs)`
`void` `startReport(ReportStructureRoot report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawReportTarget

    public RawReportTarget(ReportJob job)

Method Detail

### getReportJob

    public ReportJob getReportJob()

### startReport

    public void startReport(ReportStructureRoot report)
                     throws DataSourceException,
                            ReportProcessingException

  Specified by:
    `startReport` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### startElement

    public void startElement(org.jfree.layouting.util.AttributeMap attrs)
                      throws DataSourceException,
                             ReportProcessingException

  Specified by:
    `startElement` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### processContent

    public void processContent(DataFlags value)
                        throws DataSourceException,
                               ReportProcessingException

  Specified by:
    `processContent` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### endElement

    public void endElement(org.jfree.layouting.util.AttributeMap attrs)
                    throws DataSourceException,
                           ReportProcessingException

  Specified by:
    `endElement` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### endReport

    public void endReport(ReportStructureRoot report)
                   throws DataSourceException,
                          ReportProcessingException

  Specified by:
    `endReport` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### getNamespaceByUri

    public org.jfree.layouting.namespace.NamespaceDefinition getNamespaceByUri(java.lang.String uri)

  Specified by:
    `getNamespaceByUri` in interface `ReportTarget`

### processText

    public void processText(java.lang.String text)
                     throws DataSourceException,
                            ReportProcessingException

  Specified by:
    `processText` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### commit

    public void commit()

  Specified by:
    `commit` in interface `ReportTarget`

### getExportDescriptor

    public java.lang.String getExportDescriptor()

  Specified by:
    `getExportDescriptor` in interface `ReportTarget`